uSQLd 0.2.0
-----------
(c) 12-5-2002 Owen Cliffe <zoot@zoot.org.uk> 

Is an sql server which uses sqlite (A really neat and compact SQL
engine library) as its backbone, and has a simple protocol for
querying the database. 

usage: read usql.h basically the interface is just copied from sqlite.h
at the moment. 

usqld can mount the same database as sqlite at the same time, 
      
There are several key limitations: 
  -queries cannot be executed along the same connection during a
   callback. (will be fixed soon)
  
  -network error messages aren't really separated from sqlite errors
   at the moment. 
   
  -this needs to be compiled against a threadsafe version of sqlite
   (the server is threaded) which the library on unix is not by
   default (add a -DTHREADSAFE to the make file after you have
   configured sqlite)

  -aggregate functions aren't supported in the client (for obvious
   reasons) i will get round to supporting a config system for the
   server that allows you to specify ld.so type binding for all or
   particular dbs. 

  - probably lots of bugs.

  
  - lots more limitations i can't think of yet. 